#include "clocks.hpp"

ClockPage::ClockPage() : Page("Digital Animated Clocks")
{
	clock1 = new Clock(50, 125, "Los Angeles");
	clock2 = new Clock(50, 75, "New York", 3);
	clock3 = new Clock(50, 25, "London", 8);
}


ClockPage::~ClockPage()
{
	delete clock1;
	delete clock2;
	delete clock3;
}

void OpenClockPage()
{
	// get next page ready
	ClockPage* new_page = new ClockPage();

	// create new page
	CurrentScreen->NewWorkArea(new_page);
	CurrentScreen->DisplayWorkArea();
}
